package com.ruoyi.tdengine.api.domain;

import com.ruoyi.common.core.hw.validated.tdengine.InsertTdTable;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @Description: 子表实体类
 * @ClassName: TdTableVo
 * @Author  : xins
 * @Date    :2023-08-28  15:45
 * @Version :1.0
 */
@Data
public class TdTableVo {

    //数据库名称
    @NotEmpty(message="databaseName cannot be empty",groups = InsertTdTable.class)
    private String databaseName;

    //超级表名称
    @NotEmpty(message="supertableName cannot be empty")
    private String superTableName;

    //子表名称
    @NotEmpty(message="tableName cannot be empty",groups = InsertTdTable.class)
    private String tableName;

    /**
     * 子表的标签字段的值，创建子表时标签字段值的数据类型要与超级表的对应上
     */
    private List<TdField> tagsFieldValues;

    /**
     * 子表的schema字段的值，掺入子表时schema字段值的数据类型要与超级表的对应上
     */
    @NotEmpty(message="schemaFields cannot be empty",groups = InsertTdTable.class)
    private List<TdField> schemaFields;

}
