package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.HwDevice;

/**
 * 设备信息Mapper接口
 * 
 * @author xins
 * @date 2023-08-24
 */
public interface HwDeviceMapper 
{
    /**
     * 查询设备信息
     * 
     * @param deviceId 设备信息主键
     * @return 设备信息
     */
    public HwDevice selectHwDeviceByDeviceId(Long deviceId);

    /**
     * 查询设备信息列表
     * 
     * @param hwDevice 设备信息
     * @return 设备信息集合
     */
    public List<HwDevice> selectHwDeviceList(HwDevice hwDevice);

    /**
     * 新增设备信息
     * 
     * @param hwDevice 设备信息
     * @return 结果
     */
    public int insertHwDevice(HwDevice hwDevice);

    /**
     * 修改设备信息
     * 
     * @param hwDevice 设备信息
     * @return 结果
     */
    public int updateHwDevice(HwDevice hwDevice);

    /**
     * 删除设备信息
     * 
     * @param deviceId 设备信息主键
     * @return 结果
     */
    public int deleteHwDeviceByDeviceId(Long deviceId);

    /**
     * 批量删除设备信息
     * 
     * @param deviceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHwDeviceByDeviceIds(Long[] deviceIds);
}
