package com.hw.mqtt.auth;

import net.dreamlu.iot.mqtt.core.server.auth.IMqttServerUniqueIdService;
import org.springframework.context.annotation.Configuration;
import org.tio.core.ChannelContext;

/**
 * 自定义 clientId
 * @author WenJY
 * @date 2023-03-14 12:20
 * @return null
 */
@Configuration(proxyBeanMethods = false)
public class MqttUniqueIdService implements IMqttServerUniqueIdService {

	@Override
	public String getUniqueId(ChannelContext context, String clientId, String userName, String password) {
		// 返回的 uniqueId 会替代 mqtt client 传过来的 clientId，请保证返回的 uniqueId 唯一。
		return clientId;
	}

}
